#!/bin/sh
# MOPOWER UPS DESIGNED FOR THE RASPBERRY PI
# Copyright © 2014-2018 All Spectrum Electronics  http://www.allspectrum.com/mopower
# mopower-ups-ntp-check.sh

# THIS SOFTWARE AND HARDWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# FOR FULL TERMS PLEASE SEE THE LICENSE file included with this software


SYNCED=0
which ntpq > /dev/null
if [ $? -eq 0 ]
then
for REACH in `ntpq -pn | awk '{print $7}' | grep -v reach`
do
	#echo $REACH
	if [ "$REACH" -gt 1 ] 
	then
		#echo "\nMOPOWER UPS: Got an NTP sync status from ntpq"
		exit 0
	fi
	
done
fi

which timedatectl > /dev/null
if [ $? -eq 0 ]
then
if [ `/usr/bin/timedatectl status | grep -c "NTP synchronized: yes"` -eq 1 ]
then
	#echo "MOPOWER UPS: Got an NTP sync status from timedatectl"
	exit 0
fi
fi

exit 1
